RuntimeTuple (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class RuntimeTuple

- java.lang.Object
- - hlt.language.design.backend.RuntimeTuple

- All Implemented Interfaces:
    RuntimeObject

      public class RuntimeTuple
      extends java.lang.Object
      implements RuntimeObject

  This is the runtime representation for tuples.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RuntimeTuple` | `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeTuple(int[] intComponents, double[] realComponents, java.lang.Object[] objectComponents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `double[]` | `floatComponents()`
    `int` | `floatDimension()`
    `double` | `getFloatComponent(int position)`
    `int` | `getIntComponent(int position)`
    `java.lang.Object` | `getObjectComponent(int position)`
    `double` | `getRealComponent(int position)`
    `java.lang.Object` | `getSlicer(int[] slice)`
    `int` | `hashCode()`
    `int[]` | `intComponents()`
    `int` | `intDimension()`
    `java.lang.Object[]` | `objectComponents()`
    `int` | `objectDimension()`
    `double[]` | `realComponents()`
    `int` | `realDimension()`
    `double` | `setFloatComponent(int position, double value)`
    `int` | `setIntComponent(int position, int value)`
    `java.lang.Object` | `setObjectComponent(int position, java.lang.Object value)`
    `double` | `setRealComponent(int position, double value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY

          public static final RuntimeTuple EMPTY

  - ### Constructor Detail

    - #### RuntimeTuple

          public RuntimeTuple(int[] intComponents,
                      double[] realComponents,
                      java.lang.Object[] objectComponents)

  - ### Method Detail

    - #### intComponents

          public int[] intComponents()

    - #### realComponents

          public double[] realComponents()

    - #### floatComponents

          public final double[] floatComponents()

    - #### objectComponents

          public java.lang.Object[] objectComponents()

    - #### intDimension

          public int intDimension()

    - #### realDimension

          public int realDimension()

    - #### floatDimension

          public final int floatDimension()

    - #### objectDimension

          public int objectDimension()

    - #### getIntComponent

          public final int getIntComponent(int position)

    - #### setIntComponent

          public final int setIntComponent(int position,
                            int value)

    - #### getRealComponent

          public final double getRealComponent(int position)

    - #### getFloatComponent

          public final double getFloatComponent(int position)

    - #### setRealComponent

          public final double setRealComponent(int position,
                                double value)

    - #### setFloatComponent

          public final double setFloatComponent(int position,
                                 double value)

    - #### getObjectComponent

          public final java.lang.Object getObjectComponent(int position)

    - #### setObjectComponent

          public final java.lang.Object setObjectComponent(int position,
                                            java.lang.Object value)

    - #### getSlicer

          public final java.lang.Object getSlicer(int[] slice)

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public final boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`